/// <reference types="googlemaps" />
import { EventEmitter, OnChanges } from '@angular/core';
import { GoogleMapService } from '../services/GoogleMapService';
import { LoggerService } from 'dotcms-js/dotcms-js';
import { GCircle } from '../models/gcircle.model';
export declare class AreaPickerDialogComponent implements OnChanges {
    mapsService: GoogleMapService;
    private loggerService;
    apiKey: string;
    headerText: string;
    hidden: boolean;
    circle: GCircle;
    close: EventEmitter<{
        isCanceled: boolean;
    }>;
    cancel: EventEmitter<boolean>;
    circleUpdate: EventEmitter<GCircle>;
    map: google.maps.Map;
    mapId: string;
    waitCount: number;
    private _prevCircle;
    constructor(mapsService: GoogleMapService, loggerService: LoggerService);
    ngOnChanges(change: any): void;
    readyMap(): void;
    onOkAction(event: any): void;
    onCancelAction(event: any): void;
}
